---
title: number
slug: Web/XPath/Functions/number
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>number</code> function converts an object to a number and returns the number.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">number( [<em>object</em>] )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em><code>object</code></em>(optional)</dt>
 <dd>The object to be converted to a number. If this argument is omitted, the current context node will be used.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>The resulting number after converting the object.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>Strings are converted to a number by stripping the leading whitespace in the string before the number and ignoring whitespace after the number. If the string does not match this pattern, then the string is converted to NaN.</li>
 <li>Boolean true is converted to 1. False is converted to 0.</li>
 <li>A node-set is first converted to a string as if by a call to the <a href="en/XPath/Functions/string">string()</a> function and then converted in the same way as a string argument.</li>
 <li>An object of a type other than the four basic types is converted to a number in a way that is dependent on that type.</li>
</ul>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-number">XPath 1.0 4.4</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
